Package org.apache.solr.client.solrj.io.eval

## Interface ManyValueWorker

All Superinterfaces:
  `ValueWorker`

All Known Implementing Classes:
  `AddEvaluator`, `AkimaEvaluator`, `AndEvaluator`, `AnovaEvaluator`, `AppendEvaluator`, `ArrayEvaluator`, `BicubicSplineEvaluator`, `BinomialCoefficientEvaluator`, `CoalesceEvaluator`, `ConcatEvaluator`, `ConvexHullEvaluator`, `CopyOfEvaluator`, `CopyOfRangeEvaluator`, `CorrelationEvaluator`, `CovarianceEvaluator`, `DateEvaluator`, `DbscanEvaluator`, `DistanceEvaluator`, `EmpiricalDistributionEvaluator`, `EnclosingDiskEvaluator`, `EnumeratedDistributionEvaluator`, `EqualToEvaluator`, `ExclusiveOrEvaluator`, `ExponentialMovingAverageEvaluator`, `FrequencyTableEvaluator`, `GaussFitEvaluator`, `GetCacheEvaluator`, `GreaterThanEqualToEvaluator`, `GreaterThanEvaluator`, `HarmonicFitEvaluator`, `HistogramEvaluator`, `IfThenElseEvaluator`, `IntegrateEvaluator`, `IsNullEvaluator`, `KnnEvaluator`, `KnnRegressionEvaluator`, `LatLonVectorsEvaluator`, `LerpEvaluator`, `LessThanEqualToEvaluator`, `LessThanEvaluator`, `ListCacheEvaluator`, `LoessEvaluator`, `MannWhitneyUEvaluator`, `MarkovChainEvaluator`, `MatchesEvaluator`, `MatrixEvaluator`, `MinMaxScaleEvaluator`, `MultiKmeansEvaluator`, `MultiplyEvaluator`, `NormalizeSumEvaluator`, `NotNullEvaluator`, `OLSRegressionEvaluator`, `OrEvaluator`, `OscillateEvaluator`, `OutliersEvaluator`, `PivotEvaluator`, `PolyFitDerivativeEvaluator`, `PolyFitEvaluator`, `PredictEvaluator`, `PrimesEvaluator`, `ProbabilityEvaluator`, `PutCacheEvaluator`, `RemoveCacheEvaluator`, `SampleEvaluator`, `SequenceEvaluator`, `SetValueEvaluator`, `SplineEvaluator`, `SubtractEvaluator`, `TermVectorsEvaluator`, `TimeDifferencingEvaluator`, `TriangularDistributionEvaluator`, `ValueAtEvaluator`

    public interface ManyValueWorker
    extends ValueWorker

### Method Summary

All Methods Instance Methods Abstract Methods
`Object` `doWork​(Object... values)`

### Method Detail

#### doWork

    Object doWork​(Object... values)
           throws IOException

Specified by:
  `doWork` in interface `ValueWorker`
Throws:
  `IOException`